Album: 'CLUBSTUCK^2: TWERKABLY CANON'
Directory: clubstuck-2-twerkably-canon
Date: April 13, 2025, 17:51:05
Date Added: September 29, 2025
URLs:
- https://galvanisticyoungboy.bandcamp.com/album/clubstuck-2-twerkably-canon
Artists:
- nocturnalJewel 
Cover Artists:
- Homestuck
Default Track Cover Artists:
- Homestuck
Art Tags:
- John
- John's home
- Claw Hammer
Cover Art File Extension: jpg
Track Art File Extension: jpg
Color: '#fb067d'
Groups:
- Fandom
Commentary: |-
    <i>nocturnalJewel:</i> ([Bandcamp about blurb](https://galvanisticyoungboy.bandcamp.com/album/clubstuck-2-twerkably-canon))
    You probably still aren't that sure if you like both Homestuck and Jersey club, but sadly I'm gonna do it again.
Crediting Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/album/clubstuck-2-twerkably-canon))
    All of the art is from Homestuck, drawn by Andrew Hussie.
    Original tracks are in the track credits.
---
Track: 'KARKAKAKA #jerseyclub @nJ'
Duration: 1:38
Art Tags:
- Karkat
- Clover
- Pistolkind
- LoFaF
Sampled Tracks:
- track:upward-movement-dave-owns
- track:karkalicious
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/karkakaka-jerseyclub-nj
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/karkakaka-jerseyclub-nj))
    [[track:upward-movement-dave-owns]], by [[artist:kalibration]]
    [[track:karkalicious]], by [[artist:cantabilegato]]

    <i>Jebb:</i> (wiki editor)
    The composer of Karkalicious is actually [[artist:superspecks]], the original credit is wrongly attributed to [[artist:cantabilegato]]
#credit may be wrong, karkalicious is by superspecks. Or is superspecks one of the Broadway Karkats? Investigate further
---
Track: Girl Gamer Anthem (shout out to feminism)
Duration: 1:28
Art Tags:
- Terezi
- Vriska
- Victory Platform
Sampled Tracks:
- GameGrl (Original 1993 Mix)
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/girl-gamer-anthem-shout-out-to-feminism
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/girl-gamer-anthem-shout-out-to-feminism))
    [[track:gamegrl-original-1993-mix]], by [[artist:michael-guy-bowman]]
---
Track: '#JerseyClub'
Duration: 1:23
Art Tags:
- Rose
- Kanaya
- Light
- Trolls' meteor
Sampled Tracks:
- track:mary-songs-for-sad-trolls
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/jerseyclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/jerseyclub))
    [[track:mary-songs-for-sad-trolls]], by [[artist:phemiec]]
---
Track: '"fresh blood" [#Tonight] 140bpm nocturnalJewel'
Duration: 1:49
Art Tags:
- Gamzee
- Shaggy 2 Dope
- Violent J
- Alternia
Sampled Tracks:
- 'Gamzee: HoNk HoNk (Tik Tok Parody)'
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/fresh-blood-tonight-140bpm-nocturnaljewel
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/fresh-blood-tonight-140bpm-nocturnaljewel))
    [[track:gamzee-honk-honk-tik-tok-parody|HoNk HoNk]], by [[artist:bleed-binary]]